
/*
 * pipenet1.cpp - device implementations for pipenet1 module
 * dynamically linked library for QucsStudio
 * created from VerilogAMS file by ADMS
 */

#include <qucsstudio_library.h>
#include <qucsstudio_vams.h>

// --------------------------------------------------------------
// component parameter definition
tParameterDef params[] = {
  {"n", "1.852", false, "-"},
  {"k119", "19317.8317866247", false, "-"},
  {"k120", "25777.6163012603", false, "-"},
  {"k121", "10581.742252546", false, "-"},
  {"k122", "6767.3933010469", false, "-"},
  {"k123", "15380.439320561", false, "-"},
  {"k125", "9105.2200777721", false, "-"},
  {"k126", "7567.176145716", false, "-"},
  {"k127", "8551.5242622319", false, "-"},
  {"k128", "7428.2737437882", false, "-"},
  {"k221", "30760.8786411221", false, "-"},
  {"k321", "1415.0004174916", false, "-"},
  {"k368", "7444.1326311515", false, "-"},
  {"k167", "169.9676587455", false, "-"},
  {"k222", "10397.1769806993", false, "-"},
  {"k107", "20548.2669322695", false, "-"},
  {"k191", "4491.0882816038", false, "-"},
  {"k192", "7013.4803301758", false, "-"},
  {"k193", "5721.5234272487", false, "-"},
  {"k90", "235.2352397038", false, "-"},
  {"k204", "271.9482539928", false, "-"},
  {"k208", "4060.4359806281", false, "-"},
  {"k232", "6152.1757282244", false, "-"},
};

// -----------------------------------------------------
// external nodes
#undef n75
#define n75 Nodes[0]
#undef n90
#define n90 Nodes[1]
#undef n59
#define n59 Nodes[2]
#undef n150
#define n150 Nodes[3]
#undef n0
#define n0 Nodes[4]

// internal nodes
#undef n76
#define n76 Nodes[5]
#undef n77
#define n77 Nodes[6]
#undef n78
#define n78 Nodes[7]
#undef n79
#define n79 Nodes[8]
#undef n80
#define n80 Nodes[9]
#undef n81
#define n81 Nodes[10]
#undef n83
#define n83 Nodes[11]
#undef n84
#define n84 Nodes[12]
#undef n85
#define n85 Nodes[13]
#undef n86
#define n86 Nodes[14]
#undef n87
#define n87 Nodes[15]
#undef n89
#define n89 Nodes[16]
#undef n63
#define n63 Nodes[17]
#undef n64
#define n64 Nodes[18]
#undef n65
#define n65 Nodes[19]
#undef n66
#define n66 Nodes[20]
#undef n67
#define n67 Nodes[21]
#undef n68
#define n68 Nodes[22]
#undef n69
#define n69 Nodes[23]
#undef n70
#define n70 Nodes[24]
#undef n71
#define n71 Nodes[25]
#undef n71001
#define n71001 Nodes[26]
#undef n72
#define n72 Nodes[27]
#undef n370
#define n370 Nodes[28]
#undef n371
#define n371 Nodes[29]

// -----------------------------------------------------
// VerilogA analog functions.


// -----------------------------------------------------
// Evaluate VerilogA equations in analog block.
void fillMatrix(Component *theComp, Node **Nodes, tParameter *Parameters, tGlobalVar *gVar, EqnSystem *sys, double freq, double)
{
  // global variables.

  // general variables.

  // Load device model input parameters.
  double n = getNumber(Parameters[0]);
  double k119 = getNumber(Parameters[1]);
  double k120 = getNumber(Parameters[2]);
  double k121 = getNumber(Parameters[3]);
  double k122 = getNumber(Parameters[4]);
  double k123 = getNumber(Parameters[5]);
  double k125 = getNumber(Parameters[6]);
  double k126 = getNumber(Parameters[7]);
  double k127 = getNumber(Parameters[8]);
  double k128 = getNumber(Parameters[9]);
  double k221 = getNumber(Parameters[10]);
  double k321 = getNumber(Parameters[11]);
  double k368 = getNumber(Parameters[12]);
  double k167 = getNumber(Parameters[13]);
  double k222 = getNumber(Parameters[14]);
  double k107 = getNumber(Parameters[15]);
  double k191 = getNumber(Parameters[16]);
  double k192 = getNumber(Parameters[17]);
  double k193 = getNumber(Parameters[18]);
  double k90 = getNumber(Parameters[19]);
  double k204 = getNumber(Parameters[20]);
  double k208 = getNumber(Parameters[21]);
  double k232 = getNumber(Parameters[22]);


  // ----------------- evaluate verilog initial model -----------------------


  // ----------------- evaluate verilog initial step ------------------------


  // ----------------- evaluate verilog initial instance --------------------


  // ----------------- evaluate verilog analog equations --------------------
  double V75;
  double V76;
  double V77;
  double V78;
  double V79;
  double V80;
  double V81;
  double V83;
  double V84;
  double V85;
  double V86;
  double V87;
  double V89;
  double V90;
  double V63;
  double V64;
  double V65;
  double V66;
  double V67;
  double V68;
  double V69;
  double V70;
  double V71;
  double V71001;
  double V72;
  double V59;
  double V150;
  double v119;
  double i119;
  double v119_Vn59_n63;
  double i119_Vn59_n63;
  double v120;
  double i120;
  double v120_Vn63_n67;
  double i120_Vn63_n67;
  double v121;
  double i121;
  double v121_Vn63_n64;
  double i121_Vn63_n64;
  double v122;
  double i122;
  double v122_Vn64_n65;
  double i122_Vn64_n65;
  double v123;
  double i123;
  double v123_Vn65_n66;
  double i123_Vn65_n66;
  double v125;
  double i125;
  double v125_Vn67_n68;
  double i125_Vn67_n68;
  double v126;
  double i126;
  double v126_Vn68_n69;
  double i126_Vn68_n69;
  double v127;
  double i127;
  double v127_Vn68_n70;
  double i127_Vn68_n70;
  double v128;
  double i128;
  double v128_Vn70_n71;
  double i128_Vn70_n71;
  double v221;
  double i221;
  double v221_Vn150_n71;
  double i221_Vn150_n71;
  double v321;
  double i321;
  double v321_Vn71_n71001;
  double i321_Vn71_n71001;
  double v368;
  double i368;
  double v368_Vn71001_n72;
  double i368_Vn71001_n72;
  double v167;
  double i167;
  double v167_Vn90_n89;
  double i167_Vn90_n89;
  double v222;
  double i222;
  double v222_Vn83_n84;
  double i222_Vn83_n84;
  double v107;
  double i107;
  double v107_Vn77_n81;
  double i107_Vn77_n81;
  double v191;
  double i191;
  double v191_Vn81_n78;
  double i191_Vn81_n78;
  double v192;
  double i192;
  double v192_Vn78_n79;
  double i192_Vn78_n79;
  double v193;
  double i193;
  double v193_Vn79_n80;
  double i193_Vn79_n80;
  double v90;
  double i90;
  double v90_Vn83_n77;
  double i90_Vn83_n77;
  double v204;
  double i204;
  double v204_Vn77_n75;
  double i204_Vn77_n75;
  double v208;
  double i208;
  double v208_Vn77_n76;
  double i208_Vn77_n76;
  double v232;
  double i232;
  double v232_Vn370_n371;
  double i232_Vn370_n371;
  v119_Vn59_n63=(1/k119);
  v119=(sys->getV(n59, n63)/k119);
  v120_Vn63_n67=(1/k120);
  v120=(sys->getV(n63, n67)/k120);
  v121_Vn63_n64=(1/k121);
  v121=(sys->getV(n63, n64)/k121);
  v122_Vn64_n65=(1/k122);
  v122=(sys->getV(n64, n65)/k122);
  v123_Vn65_n66=(1/k123);
  v123=(sys->getV(n65, n66)/k123);
  v125_Vn67_n68=(1/k125);
  v125=(sys->getV(n67, n68)/k125);
  v126_Vn68_n69=(1/k126);
  v126=(sys->getV(n68, n69)/k126);
  v127_Vn68_n70=(1/k127);
  v127=(sys->getV(n68, n70)/k127);
  v128_Vn70_n71=(1/k128);
  v128=(sys->getV(n70, n71)/k128);
  v221_Vn150_n71=(1/k221);
  v221=(sys->getV(n150, n71)/k221);
  v232_Vn370_n371=(1/k232);
  v232=(sys->getV(n370, n371)/k232);
  v368_Vn71001_n72=(1/k368);
  v368=(sys->getV(n71001, n72)/k368);
  v167_Vn90_n89=(1/k167);
  v167=(sys->getV(n90, n89)/k167);
  v222_Vn83_n84=(1/k222);
  v222=(sys->getV(n83, n84)/k222);
  v90_Vn83_n77=(1/k90);
  v90=(sys->getV(n83, n77)/k90);
  v107_Vn77_n81=(1/k107);
  v107=(sys->getV(n77, n81)/k107);
  v191_Vn81_n78=(1/k191);
  v191=(sys->getV(n81, n78)/k191);
  v192_Vn78_n79=(1/k192);
  v192=(sys->getV(n78, n79)/k192);
  v193_Vn79_n80=(1/k193);
  v193=(sys->getV(n79, n80)/k193);
  v204_Vn77_n75=(1/k204);
  v204=(sys->getV(n77, n75)/k204);
  v208_Vn77_n76=(1/k208);
  v208=(sys->getV(n77, n76)/k208);
  v321_Vn71_n71001=(1/k321);
  v321=(sys->getV(n71, n71001)/k321);
  v232_Vn370_n371=(1/k232);
  v232=(sys->getV(n370, n371)/k232);
  if((v119>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v119*v119)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v119*v119)+1.0e-30))
    v119_Vn59_n63=((v119_Vn59_n63+((v119_Vn59_n63*v119)+(v119*v119_Vn59_n63))*d10_sqrt0)/2);
    v119=((v119+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v119)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v119)
  #define d10_exp1 d00_exp1
    i119_Vn59_n63=(v119_Vn59_n63*d10_logE0*1/n)*d10_exp1;
    i119=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v119)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v119)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i119_Vn59_n63=((-1)*(v119_Vn59_n63*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i119=((-1)*d00_exp2);
  }
  }
  if((v120>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v120*v120)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v120*v120)+1.0e-30))
    v120_Vn63_n67=((v120_Vn63_n67+((v120_Vn63_n67*v120)+(v120*v120_Vn63_n67))*d10_sqrt0)/2);
    v120=((v120+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v120)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v120)
  #define d10_exp1 d00_exp1
    i120_Vn63_n67=(v120_Vn63_n67*d10_logE0*1/n)*d10_exp1;
    i120=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v120)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v120)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i120_Vn63_n67=((-1)*(v120_Vn63_n67*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i120=((-1)*d00_exp2);
  }
  }
  if((v121>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v121*v121)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v121*v121)+1.0e-30))
    v121_Vn63_n64=((v121_Vn63_n64+((v121_Vn63_n64*v121)+(v121*v121_Vn63_n64))*d10_sqrt0)/2);
    v121=((v121+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v121)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v121)
  #define d10_exp1 d00_exp1
    i121_Vn63_n64=(v121_Vn63_n64*d10_logE0*1/n)*d10_exp1;
    i121=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v121)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v121)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i121_Vn63_n64=((-1)*(v121_Vn63_n64*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i121=((-1)*d00_exp2);
  }
  }
  if((v122>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v122*v122)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v122*v122)+1.0e-30))
    v122_Vn64_n65=((v122_Vn64_n65+((v122_Vn64_n65*v122)+(v122*v122_Vn64_n65))*d10_sqrt0)/2);
    v122=((v122+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v122)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v122)
  #define d10_exp1 d00_exp1
    i122_Vn64_n65=(v122_Vn64_n65*d10_logE0*1/n)*d10_exp1;
    i122=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v122)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v122)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i122_Vn64_n65=((-1)*(v122_Vn64_n65*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i122=((-1)*d00_exp2);
  }
  }
  if((v123>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v123*v123)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v123*v123)+1.0e-30))
    v123_Vn65_n66=((v123_Vn65_n66+((v123_Vn65_n66*v123)+(v123*v123_Vn65_n66))*d10_sqrt0)/2);
    v123=((v123+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v123)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v123)
  #define d10_exp1 d00_exp1
    i123_Vn65_n66=(v123_Vn65_n66*d10_logE0*1/n)*d10_exp1;
    i123=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v123)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v123)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i123_Vn65_n66=((-1)*(v123_Vn65_n66*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i123=((-1)*d00_exp2);
  }
  }
  if((v125>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v125*v125)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v125*v125)+1.0e-30))
    v125_Vn67_n68=((v125_Vn67_n68+((v125_Vn67_n68*v125)+(v125*v125_Vn67_n68))*d10_sqrt0)/2);
    v125=((v125+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v125)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v125)
  #define d10_exp1 d00_exp1
    i125_Vn67_n68=(v125_Vn67_n68*d10_logE0*1/n)*d10_exp1;
    i125=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v125)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v125)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i125_Vn67_n68=((-1)*(v125_Vn67_n68*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i125=((-1)*d00_exp2);
  }
  }
  if((v126>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v126*v126)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v126*v126)+1.0e-30))
    v126_Vn68_n69=((v126_Vn68_n69+((v126_Vn68_n69*v126)+(v126*v126_Vn68_n69))*d10_sqrt0)/2);
    v126=((v126+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v126)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v126)
  #define d10_exp1 d00_exp1
    i126_Vn68_n69=(v126_Vn68_n69*d10_logE0*1/n)*d10_exp1;
    i126=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v126)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v126)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i126_Vn68_n69=((-1)*(v126_Vn68_n69*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i126=((-1)*d00_exp2);
  }
  }
  if((v127>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v127*v127)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v127*v127)+1.0e-30))
    v127_Vn68_n70=((v127_Vn68_n70+((v127_Vn68_n70*v127)+(v127*v127_Vn68_n70))*d10_sqrt0)/2);
    v127=((v127+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v127)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v127)
  #define d10_exp1 d00_exp1
    i127_Vn68_n70=(v127_Vn68_n70*d10_logE0*1/n)*d10_exp1;
    i127=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v127)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v127)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i127_Vn68_n70=((-1)*(v127_Vn68_n70*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i127=((-1)*d00_exp2);
  }
  }
  if((v128>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v128*v128)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v128*v128)+1.0e-30))
    v128_Vn70_n71=((v128_Vn70_n71+((v128_Vn70_n71*v128)+(v128*v128_Vn70_n71))*d10_sqrt0)/2);
    v128=((v128+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v128)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v128)
  #define d10_exp1 d00_exp1
    i128_Vn70_n71=(v128_Vn70_n71*d10_logE0*1/n)*d10_exp1;
    i128=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v128)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v128)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i128_Vn70_n71=((-1)*(v128_Vn70_n71*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i128=((-1)*d00_exp2);
  }
  }
  if((v221>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v221*v221)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v221*v221)+1.0e-30))
    v221_Vn150_n71=((v221_Vn150_n71+((v221_Vn150_n71*v221)+(v221*v221_Vn150_n71))*d10_sqrt0)/2);
    v221=((v221+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v221)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v221)
  #define d10_exp1 d00_exp1
    i221_Vn150_n71=(v221_Vn150_n71*d10_logE0*1/n)*d10_exp1;
    i221=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v221)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v221)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i221_Vn150_n71=((-1)*(v221_Vn150_n71*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i221=((-1)*d00_exp2);
  }
  }
  if((v321>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v321*v321)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v321*v321)+1.0e-30))
    v321_Vn71_n71001=((v321_Vn71_n71001+((v321_Vn71_n71001*v321)+(v321*v321_Vn71_n71001))*d10_sqrt0)/2);
    v321=((v321+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v321)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v321)
  #define d10_exp1 d00_exp1
    i321_Vn71_n71001=(v321_Vn71_n71001*d10_logE0*1/n)*d10_exp1;
    i321=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v321)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v321)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i321_Vn71_n71001=((-1)*(v321_Vn71_n71001*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i321=((-1)*d00_exp2);
  }
  }
  if((v368>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v368*v368)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v368*v368)+1.0e-30))
    v368_Vn71001_n72=((v368_Vn71001_n72+((v368_Vn71001_n72*v368)+(v368*v368_Vn71001_n72))*d10_sqrt0)/2);
    v368=((v368+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v368)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v368)
  #define d10_exp1 d00_exp1
    i368_Vn71001_n72=(v368_Vn71001_n72*d10_logE0*1/n)*d10_exp1;
    i368=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v368)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v368)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i368_Vn71001_n72=((-1)*(v368_Vn71001_n72*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i368=((-1)*d00_exp2);
  }
  }
  if((v167>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v167*v167)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v167*v167)+1.0e-30))
    v167_Vn90_n89=((v167_Vn90_n89+((v167_Vn90_n89*v167)+(v167*v167_Vn90_n89))*d10_sqrt0)/2);
    v167=((v167+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v167)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v167)
  #define d10_exp1 d00_exp1
    i167_Vn90_n89=(v167_Vn90_n89*d10_logE0*1/n)*d10_exp1;
    i167=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v167)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v167)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i167_Vn90_n89=((-1)*(v167_Vn90_n89*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i167=((-1)*d00_exp2);
  }
  }
  if((v222>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v222*v222)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v222*v222)+1.0e-30))
    v222_Vn83_n84=((v222_Vn83_n84+((v222_Vn83_n84*v222)+(v222*v222_Vn83_n84))*d10_sqrt0)/2);
    v222=((v222+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v222)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v222)
  #define d10_exp1 d00_exp1
    i222_Vn83_n84=(v222_Vn83_n84*d10_logE0*1/n)*d10_exp1;
    i222=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v222)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v222)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i222_Vn83_n84=((-1)*(v222_Vn83_n84*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i222=((-1)*d00_exp2);
  }
  }
  if((v107>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v107*v107)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v107*v107)+1.0e-30))
    v107_Vn77_n81=((v107_Vn77_n81+((v107_Vn77_n81*v107)+(v107*v107_Vn77_n81))*d10_sqrt0)/2);
    v107=((v107+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v107)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v107)
  #define d10_exp1 d00_exp1
    i107_Vn77_n81=(v107_Vn77_n81*d10_logE0*1/n)*d10_exp1;
    i107=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v107)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v107)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i107_Vn77_n81=((-1)*(v107_Vn77_n81*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i107=((-1)*d00_exp2);
  }
  }
  if((v191>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v191*v191)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v191*v191)+1.0e-30))
    v191_Vn81_n78=((v191_Vn81_n78+((v191_Vn81_n78*v191)+(v191*v191_Vn81_n78))*d10_sqrt0)/2);
    v191=((v191+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v191)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v191)
  #define d10_exp1 d00_exp1
    i191_Vn81_n78=(v191_Vn81_n78*d10_logE0*1/n)*d10_exp1;
    i191=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v191)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v191)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i191_Vn81_n78=((-1)*(v191_Vn81_n78*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i191=((-1)*d00_exp2);
  }
  }
  if((v192>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v192*v192)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v192*v192)+1.0e-30))
    v192_Vn78_n79=((v192_Vn78_n79+((v192_Vn78_n79*v192)+(v192*v192_Vn78_n79))*d10_sqrt0)/2);
    v192=((v192+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v192)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v192)
  #define d10_exp1 d00_exp1
    i192_Vn78_n79=(v192_Vn78_n79*d10_logE0*1/n)*d10_exp1;
    i192=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v192)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v192)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i192_Vn78_n79=((-1)*(v192_Vn78_n79*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i192=((-1)*d00_exp2);
  }
  }
  if((v193>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v193*v193)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v193*v193)+1.0e-30))
    v193_Vn79_n80=((v193_Vn79_n80+((v193_Vn79_n80*v193)+(v193*v193_Vn79_n80))*d10_sqrt0)/2);
    v193=((v193+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v193)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v193)
  #define d10_exp1 d00_exp1
    i193_Vn79_n80=(v193_Vn79_n80*d10_logE0*1/n)*d10_exp1;
    i193=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v193)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v193)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i193_Vn79_n80=((-1)*(v193_Vn79_n80*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i193=((-1)*d00_exp2);
  }
  }
  if((v90>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v90*v90)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v90*v90)+1.0e-30))
    v90_Vn83_n77=((v90_Vn83_n77+((v90_Vn83_n77*v90)+(v90*v90_Vn83_n77))*d10_sqrt0)/2);
    v90=((v90+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v90)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v90)
  #define d10_exp1 d00_exp1
    i90_Vn83_n77=(v90_Vn83_n77*d10_logE0*1/n)*d10_exp1;
    i90=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v90)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v90)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i90_Vn83_n77=((-1)*(v90_Vn83_n77*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i90=((-1)*d00_exp2);
  }
  }
  if((v204>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v204*v204)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v204*v204)+1.0e-30))
    v204_Vn77_n75=((v204_Vn77_n75+((v204_Vn77_n75*v204)+(v204*v204_Vn77_n75))*d10_sqrt0)/2);
    v204=((v204+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v204)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v204)
  #define d10_exp1 d00_exp1
    i204_Vn77_n75=(v204_Vn77_n75*d10_logE0*1/n)*d10_exp1;
    i204=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v204)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v204)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i204_Vn77_n75=((-1)*(v204_Vn77_n75*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i204=((-1)*d00_exp2);
  }
  }
  if((v208>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v208*v208)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v208*v208)+1.0e-30))
    v208_Vn77_n76=((v208_Vn77_n76+((v208_Vn77_n76*v208)+(v208*v208_Vn77_n76))*d10_sqrt0)/2);
    v208=((v208+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v208)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v208)
  #define d10_exp1 d00_exp1
    i208_Vn77_n76=(v208_Vn77_n76*d10_logE0*1/n)*d10_exp1;
    i208=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v208)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v208)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i208_Vn77_n76=((-1)*(v208_Vn77_n76*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i208=((-1)*d00_exp2);
  }
  }
  if((v232>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v232*v232)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v232*v232)+1.0e-30))
    v232_Vn370_n371=((v232_Vn370_n371+((v232_Vn370_n371*v232)+(v232*v232_Vn370_n371))*d10_sqrt0)/2);
    v232=((v232+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v232)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v232)
  #define d10_exp1 d00_exp1
    i232_Vn370_n371=(v232_Vn370_n371*d10_logE0*1/n)*d10_exp1;
    i232=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v232)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v232)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i232_Vn370_n371=((-1)*(v232_Vn370_n371*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i232=((-1)*d00_exp2);
  }
  }

  sys->setIQ(n59,n63,i119,0);
  sys->setGC(n59,n63,n59,n63,i119_Vn59_n63,0);

  sys->setIQ(n63,n67,i120,0);
  sys->setGC(n63,n67,n63,n67,i120_Vn63_n67,0);

  sys->setIQ(n63,n64,i121,0);
  sys->setGC(n63,n64,n63,n64,i121_Vn63_n64,0);

  sys->setIQ(n64,n65,i122,0);
  sys->setGC(n64,n65,n64,n65,i122_Vn64_n65,0);

  sys->setIQ(n65,n66,i123,0);
  sys->setGC(n65,n66,n65,n66,i123_Vn65_n66,0);

  sys->setIQ(n67,n68,i125,0);
  sys->setGC(n67,n68,n67,n68,i125_Vn67_n68,0);

  sys->setIQ(n68,n69,i126,0);
  sys->setGC(n68,n69,n68,n69,i126_Vn68_n69,0);

  sys->setIQ(n68,n70,i127,0);
  sys->setGC(n68,n70,n68,n70,i127_Vn68_n70,0);

  sys->setIQ(n70,n71,i128,0);
  sys->setGC(n70,n71,n70,n71,i128_Vn70_n71,0);

  sys->setIQ(n150,n71,i221,0);
  sys->setGC(n150,n71,n150,n71,i221_Vn150_n71,0);

  sys->setIQ(n370,n371,i232,0);
  sys->setGC(n370,n371,n370,n371,i232_Vn370_n371,0);

  sys->setIQ(n71,n71001,i321,0);
  sys->setGC(n71,n71001,n71,n71001,i321_Vn71_n71001,0);

  sys->setIQ(n71001,n72,i368,0);
  sys->setGC(n71001,n72,n71001,n72,i368_Vn71001_n72,0);

  sys->setIQ(n90,n89,i167,0);
  sys->setGC(n90,n89,n90,n89,i167_Vn90_n89,0);

  sys->setIQ(n83,n84,i222,0);
  sys->setGC(n83,n84,n83,n84,i222_Vn83_n84,0);

  sys->setIQ(n83,n77,i90,0);
  sys->setGC(n83,n77,n83,n77,i90_Vn83_n77,0);

  sys->setIQ(n77,n81,i107,0);
  sys->setGC(n77,n81,n77,n81,i107_Vn77_n81,0);

  sys->setIQ(n81,n78,i191,0);
  sys->setGC(n81,n78,n81,n78,i191_Vn81_n78,0);

  sys->setIQ(n78,n79,i192,0);
  sys->setGC(n78,n79,n78,n79,i192_Vn78_n79,0);

  sys->setIQ(n79,n80,i193,0);
  sys->setGC(n79,n80,n79,n80,i193_Vn79_n80,0);

  sys->setIQ(n77,n75,i204,0);
  sys->setGC(n77,n75,n77,n75,i204_Vn77_n75,0);

  sys->setIQ(n77,n76,i208,0);
  sys->setGC(n77,n76,n77,n76,i208_Vn77_n76,0);
  V75=sys->getV(n75, n0);
  V76=sys->getV(n76, n0);
  V77=sys->getV(n77, n0);
  V78=sys->getV(n78, n0);
  V79=sys->getV(n79, n0);
  V80=sys->getV(n80, n0);
  V81=sys->getV(n81, n0);
  V83=sys->getV(n83, n0);
  V84=sys->getV(n84, n0);
  V85=sys->getV(n85, n0);
  V86=sys->getV(n86, n0);
  V87=sys->getV(n87, n0);
  V89=sys->getV(n89, n0);
  V90=sys->getV(n90, n0);
  V63=sys->getV(n63, n0);
  V64=sys->getV(n64, n0);
  V65=sys->getV(n65, n0);
  V66=sys->getV(n66, n0);
  V67=sys->getV(n67, n0);
  V68=sys->getV(n68, n0);
  V69=sys->getV(n69, n0);
  V70=sys->getV(n70, n0);
  V71=sys->getV(n71, n0);
  V71001=sys->getV(n71001, n0);
  V72=sys->getV(n72, n0);
  V59=sys->getV(n59, n0);
  V150=sys->getV(n150, n0);

  sys->setIQ(n75,n0,0.0025,0);

  sys->setIQ(n76,n0,0.0025,0);

  sys->setIQ(n77,n0,0.0025,0);

  sys->setIQ(n78,n0,0.0025,0);

  sys->setIQ(n79,n0,0.0025,0);

  sys->setIQ(n80,n0,0.0025,0);

  sys->setIQ(n81,n0,0.0025,0);

  sys->setIQ(n83,n0,0.0025,0);

  sys->setIQ(n84,n0,0.0025,0);

  sys->setIQ(n85,n0,0.0025,0);

  sys->setIQ(n86,n0,0.0025,0);

  sys->setIQ(n87,n0,0.0025,0);

  sys->setIQ(n89,n0,0.0025,0);

  sys->setIQ(n90,n0,0.0025,0);

  sys->setIQ(n63,n0,0.0025,0);

  sys->setIQ(n64,n0,0.0025,0);

  sys->setIQ(n65,n0,0.0025,0);

  sys->setIQ(n66,n0,0.0025,0);

  sys->setIQ(n67,n0,0.0025,0);

  sys->setIQ(n68,n0,0.0025,0);

  sys->setIQ(n69,n0,0.0025,0);

  sys->setIQ(n70,n0,0.0025,0);

  sys->setIQ(n71,n0,0.0025,0);

  sys->setIQ(n71001,n0,0.0025,0);

  sys->setIQ(n72,n0,0.0025,0);

  sys->setIQ(n59,n0,0.0025,0);

  sys->setIQ(n150,n0,0.0025,0);
  printWarning("V75     = %e", V75);
  printWarning("V76     = %e", V76);
  printWarning("V77     = %e", V77);
  printWarning("V78     = %e", V78);
  printWarning("V79     = %e", V79);
  printWarning("V80     = %e", V80);
  printWarning("V81     = %e", V81);
  printWarning("V83     = %e", V83);
  printWarning("V84     = %e", V84);
  printWarning("V85     = %e", V85);
  printWarning("V86     = %e", V86);
  printWarning("V87     = %e", V87);
  printWarning("V89     = %e", V89);
  printWarning("V90     = %e", V90);
  printWarning("V63     = %e", V63);
  printWarning("V64     = %e", V64);
  printWarning("V65     = %e", V65);
  printWarning("V66     = %e", V66);
  printWarning("V67     = %e", V67);
  printWarning("V68     = %e", V68);
  printWarning("V69     = %e", V69);
  printWarning("V70     = %e", V70);
  printWarning("V71     = %e", V71);
  printWarning("V71001  = %e", V71001);
  printWarning("V72     = %e", V72);
  printWarning("V59     = %e", V59);
  printWarning("V150     = %e", V150);
  printWarning("i119 = %e", i119);
  printWarning("i120 = %e", i120);
  printWarning("i121 = %e", i121);
  printWarning("i122 = %e", i122);
  printWarning("i123 = %e", i123);
  printWarning("i125 = %e", i125);
  printWarning("i126 = %e", i126);
  printWarning("i127 = %e", i127);
  printWarning("i128 = %e", i128);
  printWarning("i221 = %e", i221);
  printWarning("i232 = %e", i232);
  printWarning("i368 = %e", i368);
  printWarning("i167 = %e", i167);
  printWarning("i222 = %e", i222);
  printWarning("i90  = %e", i90);
  printWarning("i107 = %e", i107);
  printWarning("i191 = %e", i191);
  printWarning("i192 = %e", i192);
  printWarning("i193 = %e", i193);
  printWarning("i204 = %e", i204);
  printWarning("i208 = %e", i208);
}



// --------------------------------------------------------------
// component definition
EXPORT tComponentInfo compInfo = {
  isNonLinear,                // component type ('isNonLinear' or 'isLinear')
  "pipenet1",                // model identifier
  "VerilogAMS model of pipenet1",  // component description
  5,                          // number of external nodes
  25,                          // number of internal nodes
  0,                          // number of inputs (system simulations only)
  23,                         // number of parameters
  params,                     // pointer to list of parameters
  0,                          // size of global variable buffer in bytes
  0,                          // pointer to component icon (0 = unused)
  0,                          // size of component icon
  -1,                         // index of parameter determining schematic symbol (-1 = unused)
  0,                          // pointer to list of schematic symbols
  (tEvaluate)fillMatrix,      // function calculating analog model (0 = no model exists)
  0,                          // function calculating noise model (0 = noise free)
  0,                          // function calculating system model (0 = no model exists)
  0,                          // string with digital Verilog model (0 = no model exists)
  0                           // string with digital VHDL model (0 = no model exists)
};
