
/*
 * pipenet1.cpp - device implementations for pipenet1 module
 * dynamically linked library for QucsStudio
 * created from VerilogAMS file by ADMS
 */

#include <qucsstudio_library.h>
#include <qucsstudio_vams.h>

// --------------------------------------------------------------
// component parameter definition
tParameterDef params[] = {
  {"n", "1.852", false, "-"},
  {"k204", "168.89", false, "-"},
  {"k208", "2521.65", false, "-"},
  {"k107", "12761.08", false, "-"},
  {"k191", "2789.10", false, "-"},
  {"k192", "4355.58", false, "-"},
  {"k193", "3553.23", false, "-"},
  {"k90", "146.09", false, "-"},
  {"k222", "6456.95", false, "-"},
  {"k198", "6151.30", false, "-"},
  {"k243", "57.0", false, "-"},
  {"k267", "89.9327958125", false, "-"},
  {"k344", "200.1321371602", false, "-"},
  {"k167", "105.55", false, "-"},
};

// -----------------------------------------------------
// external nodes
#undef n75
#define n75 Nodes[0]
#undef n90
#define n90 Nodes[1]
#undef n0
#define n0 Nodes[2]

// internal nodes
#undef n76
#define n76 Nodes[3]
#undef n77
#define n77 Nodes[4]
#undef n78
#define n78 Nodes[5]
#undef n79
#define n79 Nodes[6]
#undef n80
#define n80 Nodes[7]
#undef n81
#define n81 Nodes[8]
#undef n83
#define n83 Nodes[9]
#undef n84
#define n84 Nodes[10]
#undef n85
#define n85 Nodes[11]
#undef n86
#define n86 Nodes[12]
#undef n87
#define n87 Nodes[13]
#undef n89
#define n89 Nodes[14]

// -----------------------------------------------------
// VerilogA analog functions.


// -----------------------------------------------------
// Evaluate VerilogA equations in analog block.
void fillMatrix(Component *theComp, Node **Nodes, tParameter *Parameters, tGlobalVar *gVar, EqnSystem *sys, double freq, double)
{
  // global variables.

  // general variables.

  // Load device model input parameters.
  double n = getNumber(Parameters[0]);
  double k204 = getNumber(Parameters[1]);
  double k208 = getNumber(Parameters[2]);
  double k107 = getNumber(Parameters[3]);
  double k191 = getNumber(Parameters[4]);
  double k192 = getNumber(Parameters[5]);
  double k193 = getNumber(Parameters[6]);
  double k90 = getNumber(Parameters[7]);
  double k222 = getNumber(Parameters[8]);
  double k198 = getNumber(Parameters[9]);
  double k243 = getNumber(Parameters[10]);
  double k267 = getNumber(Parameters[11]);
  double k344 = getNumber(Parameters[12]);
  double k167 = getNumber(Parameters[13]);


  // ----------------- evaluate verilog initial model -----------------------


  // ----------------- evaluate verilog initial step ------------------------


  // ----------------- evaluate verilog initial instance --------------------


  // ----------------- evaluate verilog analog equations --------------------
  double V75;
  double V76;
  double V77;
  double V78;
  double V79;
  double V80;
  double V81;
  double V83;
  double V84;
  double V85;
  double V86;
  double V87;
  double V89;
  double V90;
  double v204;
  double i204;
  double v204_Vn77_n75;
  double i204_Vn77_n75;
  double v208;
  double i208;
  double v208_Vn77_n76;
  double i208_Vn77_n76;
  double v107;
  double i107;
  double v107_Vn77_n81;
  double i107_Vn77_n81;
  double v191;
  double i191;
  double v191_Vn81_n78;
  double i191_Vn81_n78;
  double v192;
  double i192;
  double v192_Vn78_n79;
  double i192_Vn78_n79;
  double v193;
  double i193;
  double v193_Vn79_n80;
  double i193_Vn79_n80;
  double v90;
  double i90;
  double v90_Vn83_n77;
  double i90_Vn83_n77;
  double v222;
  double i222;
  double v222_Vn83_n84;
  double i222_Vn83_n84;
  double v198;
  double i198;
  double v198_Vn84_n85;
  double i198_Vn84_n85;
  double v243;
  double i243;
  double v243_Vn83_n86;
  double i243_Vn83_n86;
  double v267;
  double i267;
  double v267_Vn86_n87;
  double i267_Vn86_n87;
  double v344;
  double i344;
  double v344_Vn87_n89;
  double i344_Vn87_n89;
  double v167;
  double i167;
  double v167_Vn89_n90;
  double i167_Vn89_n90;
  v204_Vn77_n75=(1/k204);
  v204=(sys->getV(n77, n75)/k204);
  v208_Vn77_n76=(1/k208);
  v208=(sys->getV(n77, n76)/k208);
  v107_Vn77_n81=(1/k107);
  v107=(sys->getV(n77, n81)/k107);
  v191_Vn81_n78=(1/k191);
  v191=(sys->getV(n81, n78)/k191);
  v192_Vn78_n79=(1/k192);
  v192=(sys->getV(n78, n79)/k192);
  v193_Vn79_n80=(1/k193);
  v193=(sys->getV(n79, n80)/k193);
  v90_Vn83_n77=(1/k90);
  v90=(sys->getV(n83, n77)/k90);
  v222_Vn83_n84=(1/k222);
  v222=(sys->getV(n83, n84)/k222);
  v198_Vn84_n85=(1/k198);
  v198=(sys->getV(n84, n85)/k198);
  v243_Vn83_n86=(1/k243);
  v243=(sys->getV(n83, n86)/k243);
  v267_Vn86_n87=(1/k267);
  v267=(sys->getV(n86, n87)/k267);
  v344_Vn87_n89=(1/k344);
  v344=(sys->getV(n87, n89)/k344);
  v167_Vn89_n90=(1/k167);
  v167=(sys->getV(n89, n90)/k167);
  if((v204>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v204*v204)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v204*v204)+1.0e-30))
    v204_Vn77_n75=((v204_Vn77_n75+((v204_Vn77_n75*v204)+(v204*v204_Vn77_n75))*d10_sqrt0)/2);
    v204=((v204+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v204)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v204)
  #define d10_exp1 d00_exp1
    i204_Vn77_n75=(v204_Vn77_n75*d10_logE0*1/n)*d10_exp1;
    i204=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v204)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v204)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i204_Vn77_n75=((-1)*(v204_Vn77_n75*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i204=((-1)*d00_exp2);
  }
  }
  if((v208>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v208*v208)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v208*v208)+1.0e-30))
    v208_Vn77_n76=((v208_Vn77_n76+((v208_Vn77_n76*v208)+(v208*v208_Vn77_n76))*d10_sqrt0)/2);
    v208=((v208+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v208)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v208)
  #define d10_exp1 d00_exp1
    i208_Vn77_n76=(v208_Vn77_n76*d10_logE0*1/n)*d10_exp1;
    i208=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v208)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v208)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i208_Vn77_n76=((-1)*(v208_Vn77_n76*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i208=((-1)*d00_exp2);
  }
  }
  if((v107>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v107*v107)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v107*v107)+1.0e-30))
    v107_Vn77_n81=((v107_Vn77_n81+((v107_Vn77_n81*v107)+(v107*v107_Vn77_n81))*d10_sqrt0)/2);
    v107=((v107+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v107)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v107)
  #define d10_exp1 d00_exp1
    i107_Vn77_n81=(v107_Vn77_n81*d10_logE0*1/n)*d10_exp1;
    i107=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v107)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v107)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i107_Vn77_n81=((-1)*(v107_Vn77_n81*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i107=((-1)*d00_exp2);
  }
  }
  if((v191>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v191*v191)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v191*v191)+1.0e-30))
    v191_Vn81_n78=((v191_Vn81_n78+((v191_Vn81_n78*v191)+(v191*v191_Vn81_n78))*d10_sqrt0)/2);
    v191=((v191+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v191)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v191)
  #define d10_exp1 d00_exp1
    i191_Vn81_n78=(v191_Vn81_n78*d10_logE0*1/n)*d10_exp1;
    i191=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v191)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v191)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i191_Vn81_n78=((-1)*(v191_Vn81_n78*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i191=((-1)*d00_exp2);
  }
  }
  if((v192>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v192*v192)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v192*v192)+1.0e-30))
    v192_Vn78_n79=((v192_Vn78_n79+((v192_Vn78_n79*v192)+(v192*v192_Vn78_n79))*d10_sqrt0)/2);
    v192=((v192+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v192)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v192)
  #define d10_exp1 d00_exp1
    i192_Vn78_n79=(v192_Vn78_n79*d10_logE0*1/n)*d10_exp1;
    i192=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v192)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v192)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i192_Vn78_n79=((-1)*(v192_Vn78_n79*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i192=((-1)*d00_exp2);
  }
  }
  if((v193>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v193*v193)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v193*v193)+1.0e-30))
    v193_Vn79_n80=((v193_Vn79_n80+((v193_Vn79_n80*v193)+(v193*v193_Vn79_n80))*d10_sqrt0)/2);
    v193=((v193+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v193)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v193)
  #define d10_exp1 d00_exp1
    i193_Vn79_n80=(v193_Vn79_n80*d10_logE0*1/n)*d10_exp1;
    i193=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v193)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v193)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i193_Vn79_n80=((-1)*(v193_Vn79_n80*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i193=((-1)*d00_exp2);
  }
  }
  if((v90>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v90*v90)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v90*v90)+1.0e-30))
    v90_Vn83_n77=((v90_Vn83_n77+((v90_Vn83_n77*v90)+(v90*v90_Vn83_n77))*d10_sqrt0)/2);
    v90=((v90+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v90)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v90)
  #define d10_exp1 d00_exp1
    i90_Vn83_n77=(v90_Vn83_n77*d10_logE0*1/n)*d10_exp1;
    i90=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v90)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v90)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i90_Vn83_n77=((-1)*(v90_Vn83_n77*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i90=((-1)*d00_exp2);
  }
  }
  if((v222>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v222*v222)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v222*v222)+1.0e-30))
    v222_Vn83_n84=((v222_Vn83_n84+((v222_Vn83_n84*v222)+(v222*v222_Vn83_n84))*d10_sqrt0)/2);
    v222=((v222+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v222)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v222)
  #define d10_exp1 d00_exp1
    i222_Vn83_n84=(v222_Vn83_n84*d10_logE0*1/n)*d10_exp1;
    i222=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v222)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v222)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i222_Vn83_n84=((-1)*(v222_Vn83_n84*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i222=((-1)*d00_exp2);
  }
  }
  if((v198>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v198*v198)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v198*v198)+1.0e-30))
    v198_Vn84_n85=((v198_Vn84_n85+((v198_Vn84_n85*v198)+(v198*v198_Vn84_n85))*d10_sqrt0)/2);
    v198=((v198+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v198)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v198)
  #define d10_exp1 d00_exp1
    i198_Vn84_n85=(v198_Vn84_n85*d10_logE0*1/n)*d10_exp1;
    i198=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v198)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v198)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i198_Vn84_n85=((-1)*(v198_Vn84_n85*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i198=((-1)*d00_exp2);
  }
  }
  if((v243>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v243*v243)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v243*v243)+1.0e-30))
    v243_Vn83_n86=((v243_Vn83_n86+((v243_Vn83_n86*v243)+(v243*v243_Vn83_n86))*d10_sqrt0)/2);
    v243=((v243+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v243)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v243)
  #define d10_exp1 d00_exp1
    i243_Vn83_n86=(v243_Vn83_n86*d10_logE0*1/n)*d10_exp1;
    i243=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v243)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v243)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i243_Vn83_n86=((-1)*(v243_Vn83_n86*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i243=((-1)*d00_exp2);
  }
  }
  if((v267>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v267*v267)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v267*v267)+1.0e-30))
    v267_Vn86_n87=((v267_Vn86_n87+((v267_Vn86_n87*v267)+(v267*v267_Vn86_n87))*d10_sqrt0)/2);
    v267=((v267+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v267)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v267)
  #define d10_exp1 d00_exp1
    i267_Vn86_n87=(v267_Vn86_n87*d10_logE0*1/n)*d10_exp1;
    i267=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v267)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v267)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i267_Vn86_n87=((-1)*(v267_Vn86_n87*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i267=((-1)*d00_exp2);
  }
  }
  if((v344>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v344*v344)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v344*v344)+1.0e-30))
    v344_Vn87_n89=((v344_Vn87_n89+((v344_Vn87_n89*v344)+(v344*v344_Vn87_n89))*d10_sqrt0)/2);
    v344=((v344+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v344)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v344)
  #define d10_exp1 d00_exp1
    i344_Vn87_n89=(v344_Vn87_n89*d10_logE0*1/n)*d10_exp1;
    i344=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v344)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v344)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i344_Vn87_n89=((-1)*(v344_Vn87_n89*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i344=((-1)*d00_exp2);
  }
  }
  if((v167>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v167*v167)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v167*v167)+1.0e-30))
    v167_Vn89_n90=((v167_Vn89_n90+((v167_Vn89_n90*v167)+(v167*v167_Vn89_n90))*d10_sqrt0)/2);
    v167=((v167+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v167)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v167)
  #define d10_exp1 d00_exp1
    i167_Vn89_n90=(v167_Vn89_n90*d10_logE0*1/n)*d10_exp1;
    i167=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v167)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v167)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i167_Vn89_n90=((-1)*(v167_Vn89_n90*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i167=((-1)*d00_exp2);
  }
  }

  sys->setIQ(n77,n75,i204,0);
  sys->setGC(n77,n75,n77,n75,i204_Vn77_n75,0);

  sys->setIQ(n77,n76,i208,0);
  sys->setGC(n77,n76,n77,n76,i208_Vn77_n76,0);

  sys->setIQ(n77,n81,i107,0);
  sys->setGC(n77,n81,n77,n81,i107_Vn77_n81,0);

  sys->setIQ(n81,n78,i191,0);
  sys->setGC(n81,n78,n81,n78,i191_Vn81_n78,0);

  sys->setIQ(n78,n79,i192,0);
  sys->setGC(n78,n79,n78,n79,i192_Vn78_n79,0);

  sys->setIQ(n79,n80,i193,0);
  sys->setGC(n79,n80,n79,n80,i193_Vn79_n80,0);

  sys->setIQ(n83,n77,i90,0);
  sys->setGC(n83,n77,n83,n77,i90_Vn83_n77,0);

  sys->setIQ(n83,n84,i222,0);
  sys->setGC(n83,n84,n83,n84,i222_Vn83_n84,0);

  sys->setIQ(n84,n85,i198,0);
  sys->setGC(n84,n85,n84,n85,i198_Vn84_n85,0);

  sys->setIQ(n83,n86,i243,0);
  sys->setGC(n83,n86,n83,n86,i243_Vn83_n86,0);

  sys->setIQ(n86,n87,i267,0);
  sys->setGC(n86,n87,n86,n87,i267_Vn86_n87,0);

  sys->setIQ(n87,n89,i344,0);
  sys->setGC(n87,n89,n87,n89,i344_Vn87_n89,0);

  sys->setIQ(n89,n90,i167,0);
  sys->setGC(n89,n90,n89,n90,i167_Vn89_n90,0);
  V75=sys->getV(n75, n0);
  V76=sys->getV(n76, n0);
  V77=sys->getV(n77, n0);
  V78=sys->getV(n78, n0);
  V79=sys->getV(n79, n0);
  V80=sys->getV(n80, n0);
  V81=sys->getV(n81, n0);
  V83=sys->getV(n83, n0);
  V84=sys->getV(n84, n0);
  V85=sys->getV(n85, n0);
  V86=sys->getV(n86, n0);
  V87=sys->getV(n87, n0);
  V89=sys->getV(n89, n0);
  V90=sys->getV(n90, n0);

  sys->setIQ(n76,n0,0.00,0);

  sys->setIQ(n77,n0,0.00,0);

  sys->setIQ(n78,n0,0.00,0);

  sys->setIQ(n79,n0,0.00,0);

  sys->setIQ(n80,n0,0.00,0);

  sys->setIQ(n81,n0,0.00,0);

  sys->setIQ(n83,n0,0.00,0);

  sys->setIQ(n84,n0,0.00,0);

  sys->setIQ(n85,n0,0.00,0);

  sys->setIQ(n86,n0,0.00,0);

  sys->setIQ(n87,n0,0.00,0);

  sys->setIQ(n89,n0,0.00,0);
  printWarning("V75     = %e", V75);
  printWarning("V76     = %e", V76);
  printWarning("V77     = %e", V77);
  printWarning("V78     = %e", V78);
  printWarning("V79     = %e", V79);
  printWarning("V80     = %e", V80);
  printWarning("V81     = %e", V81);
  printWarning("V83     = %e", V83);
  printWarning("V84     = %e", V84);
  printWarning("V85     = %e", V85);
  printWarning("V86     = %e", V86);
  printWarning("V87     = %e", V87);
  printWarning("V89     = %e", V89);
  printWarning("V90     = %e", V90);
  printWarning("i204 = %e", i204);
  printWarning("i208 = %e", i208);
  printWarning("i107 = %e", i107);
  printWarning("i191 = %e", i191);
  printWarning("i192 = %e", i192);
  printWarning("i193 = %e", i193);
  printWarning("i90  = %e", i90);
  printWarning("i222 = %e", i222);
  printWarning("i198 = %e", i198);
  printWarning("i243 = %e", i243);
  printWarning("i267 = %e", i267);
  printWarning("i344 = %e", i344);
  printWarning("i167 = %e", i167);
}



// --------------------------------------------------------------
// component definition
EXPORT tComponentInfo compInfo = {
  isNonLinear,                // component type ('isNonLinear' or 'isLinear')
  "pipenet1",                // model identifier
  "VerilogAMS model of pipenet1",  // component description
  3,                          // number of external nodes
  12,                          // number of internal nodes
  0,                          // number of inputs (system simulations only)
  14,                         // number of parameters
  params,                     // pointer to list of parameters
  0,                          // size of global variable buffer in bytes
  0,                          // pointer to component icon (0 = unused)
  0,                          // size of component icon
  -1,                         // index of parameter determining schematic symbol (-1 = unused)
  0,                          // pointer to list of schematic symbols
  (tEvaluate)fillMatrix,      // function calculating analog model (0 = no model exists)
  0,                          // function calculating noise model (0 = noise free)
  0,                          // function calculating system model (0 = no model exists)
  0,                          // string with digital Verilog model (0 = no model exists)
  0                           // string with digital VHDL model (0 = no model exists)
};
