//HICUM Level_2 Version_2.2: A Verilog-A Description
//Default simulator: QUcStudio


//ADS
`include "constants.vams"
`include "disciplines.vams"
//`include "compact.vams"

//Spectre
//`include "constants.h"
//`include "discipline.h"


`define INF	1.0e10
`define Gmin    1.0e-12
`define delta   1.0e-30

`define Qflow(vn,in,n)\
    if(vn >= 0.0) begin\
        vn=(vn+sqrt(vn*vn+`delta))/2;\
	in= exp(ln(vn)*1/n);\
    end else begin\
        in=-1*exp(ln(abs(vn))*1/n);\
    end

module pipenet1 (n75,n90,n0);
inout 		 n75,n90,n0;
 electrical  n75           ;
 electrical  n76           ;
 electrical  n77           ;
 electrical  n78           ;
 electrical  n79           ;
 electrical  n80       	   ;
 electrical  n81           ;
 electrical  n83           ;
 electrical  n84           ;
 electrical  n85           ;
 electrical  n86           ;
 electrical  n87           ;
 electrical  n89           ;
 electrical  n90           ;
 


parameter real n 	= 1.852;

parameter real	k204       =    168.89      ;
parameter real	k208       =    2521.65     ;
parameter real	k107       =    12761.08    ;
parameter real	k191       =    2789.10     ;
parameter real	k192       =    4355.58     ;
parameter real	k193       =    3553.23     ;
parameter real	k90        =    146.09      ;
parameter real	k222       =    6456.95    ;
parameter real  k198   	   =    6151.30      ;
parameter real 	k243  	   =    57.0         ;
parameter real 	k267       =    89.9327958125         ;
parameter real 	k344       =    200.1321371602        ;
parameter real	k167       =    105.55      ;
 

analog begin
 real V75           ;
 real V76           ;
 real V77           ;
 real V78           ;
 real V79           ;
 real V80       	;
 real V81           ;
 real V83           ;
 real V84           ;
 real V85           ;
 real V86           ;
 real V87           ;
 real V89           ;
 real V90           ;
 

 real	v204 , i204    ;
 real	v208 , i208    ;
 real	v107 , i107    ;
 real	v191 , i191    ;
 real	v192 , i192    ;
 real	v193 , i193    ;
 real	v90  , i90     ;
 real	v222 , i222    ;
 real   v198 , i198    ;
 real   v243 , i243    ;
 real	v267 , i267    ;
 real	v344 , i344    ;
 real	v167 , i167    ;
 
 v204 =   V(	n77        ,      	n75         ) /  k204 	;
 v208 =   V(	n77        ,      	n76         ) /  k208 	;
 v107 =   V(	n77        ,      	n81         ) /  k107 	;
 v191 =   V(	n81        ,      	n78         ) /  k191 	;
 v192 =   V(	n78        ,      	n79         ) /  k192 	;
 v193 =   V(	n79        ,      	n80         ) /  k193 	;
 v90  =   V(	n83        ,      	n77         ) /  k90  	;
 v222 =   V(	n83        ,      	n84         ) /  k222 	;
 v198 =   V(	n84        ,      	n85         ) /  k198 	;
 v243 =   V(	n83        ,      	n86         ) /  k243 	;
 v267 =   V(	n86        ,      	n87      	) /  k267 	;
 v344 =   V(	n87      ,      	n89         ) /  k344 	;
 v167 =   V(	n89        ,      	n90         ) /  k167 	;


`Qflow( v204 , i204 ,n)   ;
`Qflow( v208 , i208 ,n)   ;
`Qflow( v107 , i107 ,n)   ;
`Qflow( v191 , i191 ,n)   ;
`Qflow( v192 , i192 ,n)   ;
`Qflow( v193 , i193 ,n)   ;
`Qflow( v90  , i90  ,n)   ;
`Qflow( v222 , i222 ,n)   ;
`Qflow( v198 , i198 ,n)   ;
`Qflow( v243 , i243 ,n)   ;
`Qflow( v267 , i267 ,n)   ;
`Qflow( v344 , i344 ,n)   ;
`Qflow( v167 , i167 ,n)   ;


I(n77        ,      	n75         ) <+ i204 	;
I(n77        ,      	n76         ) <+ i208 	;
I(n77        ,      	n81         ) <+ i107 	;
I(n81        ,      	n78         ) <+ i191 	;
I(n78        ,      	n79         ) <+ i192 	;
I(n79        ,      	n80         ) <+ i193 	;
I(n83        ,      	n77         ) <+ i90  	;
I(n83        ,      	n84         ) <+ i222 	;
I(n84        ,      	n85         ) <+ i198 	;
I(n83        ,      	n86         ) <+ i243 	;
I(n86        ,      	n87      	) <+ i267 	;
I(n87        ,      	n89         ) <+ i344 	;
I(n89        ,      	n90         ) <+ i167 	;

 
V75    =V  (n75    ,n0 )       ;
V76    =V  (n76    ,n0 )       ;
V77    =V  (n77    ,n0 )       ;
V78    =V  (n78    ,n0 )       ;
V79    =V  (n79    ,n0 )       ;
V80    =V  (n80    ,n0 )       ;
V81    =V  (n81    ,n0 )       ;
V83    =V  (n83    ,n0 )       ;
V84    =V  (n84    ,n0 )       ;
V85    =V  (n85    ,n0 )       ;
V86    =V  (n86    ,n0 )       ;
V87    =V  (n87    ,n0 )       ;
V89    =V  (n89    ,n0 )       ;
V90    =V  (n90    ,n0 )       ;



I(n76    ,n0 ) <+  0.003       ;
I(n77    ,n0 ) <+  0.003       ;
I(n78    ,n0 ) <+  0.003      ;
I(n79    ,n0 ) <+  0.003       ;
I(n80    ,n0 ) <+  0.003    	;
I(n81    ,n0 ) <+  0.003       ;
I(n83    ,n0 ) <+  0.003       ;
I(n84    ,n0 ) <+  0.003       ;
I(n85    ,n0 ) <+  0.003       ;
I(n86    ,n0 ) <+  0.003       ;
I(n87    ,n0 ) <+  0.003       ;
I(n89    ,n0 ) <+  0.003       ;

 

$strobe ("V75     = %e" , V75    )       ;
$strobe ("V76     = %e" , V76    )       ;
$strobe ("V77     = %e" , V77    )       ;
$strobe ("V78     = %e" , V78    )       ;
$strobe ("V79     = %e" , V79    )       ;
$strobe ("V80     = %e" , V80    )    	 ;
$strobe ("V81     = %e" , V81    )       ;
$strobe ("V83     = %e" , V83    )       ;
$strobe ("V84     = %e" , V84    )       ;
$strobe ("V85     = %e" , V85    )       ;
$strobe ("V86     = %e" , V86    )       ;
$strobe ("V87     = %e" , V87    )       ;
$strobe ("V89     = %e" , V89    )       ;
$strobe ("V90     = %e" , V90    )       ;

 $strobe ("i204 = %e" ,i204) 	;
 $strobe ("i208 = %e" ,i208) 	;
 $strobe ("i107 = %e" ,i107) 	;
 $strobe ("i191 = %e" ,i191) 	;
 $strobe ("i192 = %e" ,i192) 	;
 $strobe ("i193 = %e" ,i193) 	;
 $strobe ("i90  = %e" ,i90 ) 	;
 $strobe ("i222 = %e" ,i222) 	;
 $strobe ("i198 = %e" ,i198) 	;
 $strobe ("i243 = %e" ,i243) 	;
 $strobe ("i267 = %e" ,i267)    ;
 $strobe ("i344 = %e" ,i344) 	;
 $strobe ("i167 = %e" ,i167) 	;
						 

end //analog
endmodule