
/*
 * pipenet1.cpp - device implementations for pipenet1 module
 * dynamically linked library for QucsStudio
 * created from VerilogAMS file by ADMS
 */

#include <qucsstudio_library.h>
#include <qucsstudio_vams.h>

// --------------------------------------------------------------
// component parameter definition
tParameterDef params[] = {
  {"n", "1.852", false, "-"},
  {"k119", "11996.19", false, "-"},
  {"k120", "16008.66", false, "-"},
  {"k121", "6571.57", false, "-"},
  {"k122", "4202.75", false, "-"},
  {"k123", "9551.71", false, "-"},
  {"k125", "5654.61", false, "-"},
  {"k126", "4699.44", false, "-"},
  {"k127", "5310.75", false, "-"},
  {"k128", "4613.18", false, "-"},
  {"k221", "19103.41", false, "-"},
  {"k321", "878.76", false, "-"},
  {"k368", "4623.03", false, "-"},
};

// -----------------------------------------------------
// external nodes
#undef n59
#define n59 Nodes[0]
#undef n150
#define n150 Nodes[1]
#undef n0
#define n0 Nodes[2]

// internal nodes
#undef n63
#define n63 Nodes[3]
#undef n64
#define n64 Nodes[4]
#undef n65
#define n65 Nodes[5]
#undef n66
#define n66 Nodes[6]
#undef n67
#define n67 Nodes[7]
#undef n68
#define n68 Nodes[8]
#undef n69
#define n69 Nodes[9]
#undef n70
#define n70 Nodes[10]
#undef n71
#define n71 Nodes[11]
#undef n71001
#define n71001 Nodes[12]
#undef n72
#define n72 Nodes[13]

// -----------------------------------------------------
// VerilogA analog functions.


// -----------------------------------------------------
// Evaluate VerilogA equations in analog block.
void fillMatrix(Component *theComp, Node **Nodes, tParameter *Parameters, tGlobalVar *gVar, EqnSystem *sys, double freq, double)
{
  // global variables.

  // general variables.

  // Load device model input parameters.
  double n = getNumber(Parameters[0]);
  double k119 = getNumber(Parameters[1]);
  double k120 = getNumber(Parameters[2]);
  double k121 = getNumber(Parameters[3]);
  double k122 = getNumber(Parameters[4]);
  double k123 = getNumber(Parameters[5]);
  double k125 = getNumber(Parameters[6]);
  double k126 = getNumber(Parameters[7]);
  double k127 = getNumber(Parameters[8]);
  double k128 = getNumber(Parameters[9]);
  double k221 = getNumber(Parameters[10]);
  double k321 = getNumber(Parameters[11]);
  double k368 = getNumber(Parameters[12]);


  // ----------------- evaluate verilog initial model -----------------------


  // ----------------- evaluate verilog initial step ------------------------


  // ----------------- evaluate verilog initial instance --------------------


  // ----------------- evaluate verilog analog equations --------------------
  double V63;
  double V64;
  double V65;
  double V66;
  double V67;
  double V68;
  double V69;
  double V70;
  double V71;
  double V71001;
  double V72;
  double V59;
  double V150;
  double v119;
  double i119;
  double v119_Vn59_n63;
  double i119_Vn59_n63;
  double v120;
  double i120;
  double v120_Vn63_n67;
  double i120_Vn63_n67;
  double v121;
  double i121;
  double v121_Vn63_n64;
  double i121_Vn63_n64;
  double v122;
  double i122;
  double v122_Vn64_n65;
  double i122_Vn64_n65;
  double v123;
  double i123;
  double v123_Vn65_n66;
  double i123_Vn65_n66;
  double v125;
  double i125;
  double v125_Vn67_n68;
  double i125_Vn67_n68;
  double v126;
  double i126;
  double v126_Vn68_n69;
  double i126_Vn68_n69;
  double v127;
  double i127;
  double v127_Vn68_n70;
  double i127_Vn68_n70;
  double v128;
  double i128;
  double v128_Vn70_n71;
  double i128_Vn70_n71;
  double v221;
  double i221;
  double v221_Vn150_n71;
  double i221_Vn150_n71;
  double v321;
  double i321;
  double v321_Vn71_n71001;
  double i321_Vn71_n71001;
  double v368;
  double i368;
  double v368_Vn71001_n72;
  double i368_Vn71001_n72;
  v119_Vn59_n63=(1/k119);
  v119=(sys->getV(n59, n63)/k119);
  v120_Vn63_n67=(1/k120);
  v120=(sys->getV(n63, n67)/k120);
  v121_Vn63_n64=(1/k121);
  v121=(sys->getV(n63, n64)/k121);
  v122_Vn64_n65=(1/k122);
  v122=(sys->getV(n64, n65)/k122);
  v123_Vn65_n66=(1/k123);
  v123=(sys->getV(n65, n66)/k123);
  v125_Vn67_n68=(1/k125);
  v125=(sys->getV(n67, n68)/k125);
  v126_Vn68_n69=(1/k126);
  v126=(sys->getV(n68, n69)/k126);
  v127_Vn68_n70=(1/k127);
  v127=(sys->getV(n68, n70)/k127);
  v128_Vn70_n71=(1/k128);
  v128=(sys->getV(n70, n71)/k128);
  v221_Vn150_n71=(1/k221);
  v221=(sys->getV(n150, n71)/k221);
  v321_Vn71_n71001=(1/k321);
  v321=(sys->getV(n71, n71001)/k321);
  v368_Vn71001_n72=(1/k368);
  v368=(sys->getV(n71001, n72)/k368);
  if((v119>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v119*v119)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v119*v119)+1.0e-30))
    v119_Vn59_n63=((v119_Vn59_n63+((v119_Vn59_n63*v119)+(v119*v119_Vn59_n63))*d10_sqrt0)/2);
    v119=((v119+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v119)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v119)
  #define d10_exp1 d00_exp1
    i119_Vn59_n63=(v119_Vn59_n63*d10_logE0*1/n)*d10_exp1;
    i119=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v119)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v119)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i119_Vn59_n63=((-1)*(v119_Vn59_n63*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i119=((-1)*d00_exp2);
  }
  }
  if((v120>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v120*v120)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v120*v120)+1.0e-30))
    v120_Vn63_n67=((v120_Vn63_n67+((v120_Vn63_n67*v120)+(v120*v120_Vn63_n67))*d10_sqrt0)/2);
    v120=((v120+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v120)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v120)
  #define d10_exp1 d00_exp1
    i120_Vn63_n67=(v120_Vn63_n67*d10_logE0*1/n)*d10_exp1;
    i120=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v120)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v120)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i120_Vn63_n67=((-1)*(v120_Vn63_n67*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i120=((-1)*d00_exp2);
  }
  }
  if((v121>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v121*v121)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v121*v121)+1.0e-30))
    v121_Vn63_n64=((v121_Vn63_n64+((v121_Vn63_n64*v121)+(v121*v121_Vn63_n64))*d10_sqrt0)/2);
    v121=((v121+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v121)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v121)
  #define d10_exp1 d00_exp1
    i121_Vn63_n64=(v121_Vn63_n64*d10_logE0*1/n)*d10_exp1;
    i121=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v121)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v121)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i121_Vn63_n64=((-1)*(v121_Vn63_n64*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i121=((-1)*d00_exp2);
  }
  }
  if((v122>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v122*v122)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v122*v122)+1.0e-30))
    v122_Vn64_n65=((v122_Vn64_n65+((v122_Vn64_n65*v122)+(v122*v122_Vn64_n65))*d10_sqrt0)/2);
    v122=((v122+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v122)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v122)
  #define d10_exp1 d00_exp1
    i122_Vn64_n65=(v122_Vn64_n65*d10_logE0*1/n)*d10_exp1;
    i122=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v122)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v122)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i122_Vn64_n65=((-1)*(v122_Vn64_n65*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i122=((-1)*d00_exp2);
  }
  }
  if((v123>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v123*v123)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v123*v123)+1.0e-30))
    v123_Vn65_n66=((v123_Vn65_n66+((v123_Vn65_n66*v123)+(v123*v123_Vn65_n66))*d10_sqrt0)/2);
    v123=((v123+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v123)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v123)
  #define d10_exp1 d00_exp1
    i123_Vn65_n66=(v123_Vn65_n66*d10_logE0*1/n)*d10_exp1;
    i123=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v123)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v123)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i123_Vn65_n66=((-1)*(v123_Vn65_n66*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i123=((-1)*d00_exp2);
  }
  }
  if((v125>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v125*v125)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v125*v125)+1.0e-30))
    v125_Vn67_n68=((v125_Vn67_n68+((v125_Vn67_n68*v125)+(v125*v125_Vn67_n68))*d10_sqrt0)/2);
    v125=((v125+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v125)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v125)
  #define d10_exp1 d00_exp1
    i125_Vn67_n68=(v125_Vn67_n68*d10_logE0*1/n)*d10_exp1;
    i125=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v125)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v125)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i125_Vn67_n68=((-1)*(v125_Vn67_n68*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i125=((-1)*d00_exp2);
  }
  }
  if((v126>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v126*v126)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v126*v126)+1.0e-30))
    v126_Vn68_n69=((v126_Vn68_n69+((v126_Vn68_n69*v126)+(v126*v126_Vn68_n69))*d10_sqrt0)/2);
    v126=((v126+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v126)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v126)
  #define d10_exp1 d00_exp1
    i126_Vn68_n69=(v126_Vn68_n69*d10_logE0*1/n)*d10_exp1;
    i126=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v126)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v126)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i126_Vn68_n69=((-1)*(v126_Vn68_n69*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i126=((-1)*d00_exp2);
  }
  }
  if((v127>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v127*v127)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v127*v127)+1.0e-30))
    v127_Vn68_n70=((v127_Vn68_n70+((v127_Vn68_n70*v127)+(v127*v127_Vn68_n70))*d10_sqrt0)/2);
    v127=((v127+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v127)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v127)
  #define d10_exp1 d00_exp1
    i127_Vn68_n70=(v127_Vn68_n70*d10_logE0*1/n)*d10_exp1;
    i127=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v127)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v127)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i127_Vn68_n70=((-1)*(v127_Vn68_n70*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i127=((-1)*d00_exp2);
  }
  }
  if((v128>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v128*v128)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v128*v128)+1.0e-30))
    v128_Vn70_n71=((v128_Vn70_n71+((v128_Vn70_n71*v128)+(v128*v128_Vn70_n71))*d10_sqrt0)/2);
    v128=((v128+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v128)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v128)
  #define d10_exp1 d00_exp1
    i128_Vn70_n71=(v128_Vn70_n71*d10_logE0*1/n)*d10_exp1;
    i128=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v128)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v128)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i128_Vn70_n71=((-1)*(v128_Vn70_n71*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i128=((-1)*d00_exp2);
  }
  }
  if((v221>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v221*v221)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v221*v221)+1.0e-30))
    v221_Vn150_n71=((v221_Vn150_n71+((v221_Vn150_n71*v221)+(v221*v221_Vn150_n71))*d10_sqrt0)/2);
    v221=((v221+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v221)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v221)
  #define d10_exp1 d00_exp1
    i221_Vn150_n71=(v221_Vn150_n71*d10_logE0*1/n)*d10_exp1;
    i221=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v221)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v221)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i221_Vn150_n71=((-1)*(v221_Vn150_n71*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i221=((-1)*d00_exp2);
  }
  }
  if((v321>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v321*v321)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v321*v321)+1.0e-30))
    v321_Vn71_n71001=((v321_Vn71_n71001+((v321_Vn71_n71001*v321)+(v321*v321_Vn71_n71001))*d10_sqrt0)/2);
    v321=((v321+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v321)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v321)
  #define d10_exp1 d00_exp1
    i321_Vn71_n71001=(v321_Vn71_n71001*d10_logE0*1/n)*d10_exp1;
    i321=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v321)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v321)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i321_Vn71_n71001=((-1)*(v321_Vn71_n71001*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i321=((-1)*d00_exp2);
  }
  }
  if((v368>=0.0))
  {
  {
    double m00_sqrt(d00_sqrt0,((v368*v368)+1.0e-30))
    double m10_sqrt(d10_sqrt0,d00_sqrt0,((v368*v368)+1.0e-30))
    v368_Vn71001_n72=((v368_Vn71001_n72+((v368_Vn71001_n72*v368)+(v368*v368_Vn71001_n72))*d10_sqrt0)/2);
    v368=((v368+d00_sqrt0)/2);
  }
  {
    double m00_logE(d00_logE0,v368)
    double m00_exp(d00_exp1,((d00_logE0*1)/n))
    double m10_logE(d10_logE0,d00_logE0,v368)
  #define d10_exp1 d00_exp1
    i368_Vn71001_n72=(v368_Vn71001_n72*d10_logE0*1/n)*d10_exp1;
    i368=d00_exp1;
  }
  }
  else
  {
  {
    double m00_fabs(d00_fabs0,v368)
    double m00_logE(d00_logE1,d00_fabs0)
    double m00_exp(d00_exp2,((d00_logE1*1)/n))
    double m10_fabs(d10_fabs0,d00_fabs0,v368)
    double m10_logE(d10_logE1,d00_logE1,d00_fabs0)
  #define d10_exp2 d00_exp2
    i368_Vn71001_n72=((-1)*(v368_Vn71001_n72*d10_fabs0*d10_logE1*1/n)*d10_exp2);
    i368=((-1)*d00_exp2);
  }
  }

  sys->setIQ(n59,n63,i119,0);
  sys->setGC(n59,n63,n59,n63,i119_Vn59_n63,0);

  sys->setIQ(n63,n67,i120,0);
  sys->setGC(n63,n67,n63,n67,i120_Vn63_n67,0);

  sys->setIQ(n63,n64,i121,0);
  sys->setGC(n63,n64,n63,n64,i121_Vn63_n64,0);

  sys->setIQ(n64,n65,i122,0);
  sys->setGC(n64,n65,n64,n65,i122_Vn64_n65,0);

  sys->setIQ(n65,n66,i123,0);
  sys->setGC(n65,n66,n65,n66,i123_Vn65_n66,0);

  sys->setIQ(n67,n68,i125,0);
  sys->setGC(n67,n68,n67,n68,i125_Vn67_n68,0);

  sys->setIQ(n68,n69,i126,0);
  sys->setGC(n68,n69,n68,n69,i126_Vn68_n69,0);

  sys->setIQ(n68,n70,i127,0);
  sys->setGC(n68,n70,n68,n70,i127_Vn68_n70,0);

  sys->setIQ(n70,n71,i128,0);
  sys->setGC(n70,n71,n70,n71,i128_Vn70_n71,0);

  sys->setIQ(n150,n71,i221,0);
  sys->setGC(n150,n71,n150,n71,i221_Vn150_n71,0);

  sys->setIQ(n71,n71001,i321,0);
  sys->setGC(n71,n71001,n71,n71001,i321_Vn71_n71001,0);

  sys->setIQ(n71001,n72,i368,0);
  sys->setGC(n71001,n72,n71001,n72,i368_Vn71001_n72,0);
  V63=sys->getV(n63, n0);
  V64=sys->getV(n64, n0);
  V65=sys->getV(n65, n0);
  V66=sys->getV(n66, n0);
  V67=sys->getV(n67, n0);
  V68=sys->getV(n68, n0);
  V69=sys->getV(n69, n0);
  V70=sys->getV(n70, n0);
  V71=sys->getV(n71, n0);
  V71001=sys->getV(n71001, n0);
  V72=sys->getV(n72, n0);
  V59=sys->getV(n59, n0);
  V150=sys->getV(n150, n0);

  sys->setIQ(n63,n0,0.002,0);

  sys->setIQ(n64,n0,0.002,0);

  sys->setIQ(n65,n0,0.002,0);

  sys->setIQ(n66,n0,0.002,0);

  sys->setIQ(n67,n0,0.002,0);

  sys->setIQ(n68,n0,0.002,0);

  sys->setIQ(n69,n0,0.002,0);

  sys->setIQ(n70,n0,0.002,0);

  sys->setIQ(n71,n0,0.002,0);

  sys->setIQ(n71001,n0,0.002,0);

  sys->setIQ(n72,n0,0.002,0);
  printWarning("V63     = %e", V63);
  printWarning("V64     = %e", V64);
  printWarning("V65     = %e", V65);
  printWarning("V66     = %e", V66);
  printWarning("V67     = %e", V67);
  printWarning("V68     = %e", V68);
  printWarning("V69     = %e", V69);
  printWarning("V70     = %e", V70);
  printWarning("V71     = %e", V71);
  printWarning("V71001  = %e", V71001);
  printWarning("V72     = %e", V72);
  printWarning("V59     = %e", V59);
  printWarning("V150     = %e", V150);
  printWarning("i119 = %e", i119);
  printWarning("i120 = %e", i120);
  printWarning("i121 = %e", i121);
  printWarning("i122 = %e", i122);
  printWarning("i123 = %e", i123);
  printWarning("i125 = %e", i125);
  printWarning("i126 = %e", i126);
  printWarning("i127 = %e", i127);
  printWarning("i128 = %e", i128);
  printWarning("i221 = %e", i221);
  printWarning("i321 = %e", i321);
  printWarning("i368 = %e", i368);
}



// --------------------------------------------------------------
// component definition
EXPORT tComponentInfo compInfo = {
  isNonLinear,                // component type ('isNonLinear' or 'isLinear')
  "pipenet1",                // model identifier
  "VerilogAMS model of pipenet1",  // component description
  3,                          // number of external nodes
  11,                          // number of internal nodes
  0,                          // number of inputs (system simulations only)
  13,                         // number of parameters
  params,                     // pointer to list of parameters
  0,                          // size of global variable buffer in bytes
  0,                          // pointer to component icon (0 = unused)
  0,                          // size of component icon
  -1,                         // index of parameter determining schematic symbol (-1 = unused)
  0,                          // pointer to list of schematic symbols
  (tEvaluate)fillMatrix,      // function calculating analog model (0 = no model exists)
  0,                          // function calculating noise model (0 = noise free)
  0,                          // function calculating system model (0 = no model exists)
  0,                          // string with digital Verilog model (0 = no model exists)
  0                           // string with digital VHDL model (0 = no model exists)
};
