//HICUM Level_2 Version_2.2: A Verilog-A Description
//Default simulator: QUcStudio


//ADS
`include "constants.vams"
`include "disciplines.vams"
//`include "compact.vams"

//Spectre
//`include "constants.h"
//`include "discipline.h"


`define INF	1.0e10
`define Gmin    1.0e-12
`define delta   1.0e-30

`define calk(chw,l,d,k)\
k=(10.67*l)/(pow(chw,(1.852))*pow(d,(4.87)));\

`define Qflow(vn,in,n)\
    if(vn >= 0.0) begin\
        vn=(vn+sqrt(vn*vn+`delta))/2;\
	in= exp(ln(vn)*1/n);\
    end else begin\
        in=-1*exp(ln(abs(vn))*1/n);\
    end

module pipenet1 (n686,n713,n722,n0);
inout 		 n686,n713,n722,n0;
electrical 	n0,n1,n2,n3,n4,n5,n6,n7,n8,n9;
electrical 	n10,n11,n12,n13,n14,n15,n16,n17,n18,n19;
electrical 	n20,n21,n22,n23,n24,n25,n26,n27,n28,n29;
electrical 	n30,n31,n32,n33,n34,n35,n36,n37,n38,n39,n40;
electrical 	n40,n41,n42,n43,n44,n45,n46;

parameter real chwp  	= 120;

parameter real n 	= 1.852;

parameter real	l	=	300	;


parameter real	d1	=	0.1	    ;
parameter real	d2	=	0.05    ;


analog begin
real v1,v2,v3,v4,v5,v6,v7,v8,v9;
real v10,v11,v12,v13,v14,v15,v16,v17,v18,v19;
real v20,v21,v22,v23,v24,v25,v26,v27,v28,v29;
real v30,v31,v32,v33,v34,v35,v36,v37,v38,v39;
real v40,v41,v42,v43,v44,v45,v46,v47,v48,v49;
real v50,v51,v52;

real V1,V2,V3,V4,V5,V6,V7,V8,V9;
real V10,V11,V12,V13,V14,V15,V16,V17,V18,V19;
real V20,V21,V22,V23,V24,V25,V26,V27,V28,V29;
real V30,V31,V32,V33,V34,V35,V36,V37,V38,V39,V40;

real i1,i2,i3,i4,i5,i6,i7,i8,i9;
real i10,i11,i12,i13,i14,i15,i16,i17,i18,i19;
real i20,i21,i22,i23,i24,i25,i26,i27,i28,i29;
real i30,i31,i32,i33,i34,i35,i36,i37,i38,i39;
real i40,i41,i42,i43,i44,i45,i46,i47,i48,i49;
real i50,i51,i52;

real k1,k2;

`calk(chwp,l,d1,k1)
`calk(chwp,l,d2,k2)

v1=V(n713,n1)/k1	;
v2=V(n1,n2)/k1		;

v3	=	V(	n2              	,	n3              	)/	k2	;
v4	=	V(	n3              	,	n4              	)/	k2	;
v5	=	V(	n4              	,	n5              	)/	k2	;
v6	=	V(	n5              	,	n6              	)/	k2	;
v7	=	V(	n6              	,	n7              	)/	k2	;
v8	=	V(	n7              	,	n8              	)/	k2	;
v9	=	V(	n8              	,	n9              	)/	k2	;
v10	=	V(	n4              	,	n10             	)/	k2	;
v11	=	V(	n10             	,	n11             	)/	k2	;
v12	=	V(	n11             	,	n12             	)/	k2	;
v13	=	V(	n12             	,	n13             	)/	k2	;
v14	=	V(	n13             	,	n14             	)/	k2	;
v15	=	V(	n14             	,	n15             	)/	k2	;
v16	=	V(	n15             	,	n16             	)/	k2	;
v17	=	V(	n16             	,	n17             	)/	k2	;
v18	=	V(	n17             	,	n18             	)/	k2	;
v19	=	V(	n18             	,	n19             	)/	k2	;
v20	=	V(	n19             	,	n20             	)/	k2	;
v21	=	V(	n5              	,	n21             	)/	k2	;
v22	=	V(	n21             	,	n22             	)/	k2	;
v23	=	V(	n22             	,	n23             	)/	k2	;
v24	=	V(	n23             	,	n24             	)/	k2	;
v25	=	V(	n24             	,	n25             	)/	k2	;
v26	=	V(	n25             	,	n26             	)/	k2	;
v27	=	V(	n26             	,	n27             	)/	k2	;
v28	=	V(	n27             	,	n28             	)/	k2	;
v29	=	V(	n28             	,	n29             	)/	k2	;
v30	=	V(	n29             	,	n40             	)/	k2	;
v31	=	V(	n21             	,	n36             	)/	k2	;
v32	=	V(	n36             	,	n37             	)/	k2	;
v33	=	V(	n37             	,	n38             	)/	k2	;
v34	=	V(	n38             	,	n33             	)/	k2	;
v35	=	V(	n23             	,	n31             	)/	k2	;
v36	=	V(	n31             	,	n32             	)/	k2	;
v37	=	V(	n24             	,	n34             	)/	k2	;
v38	=	V(	n34             	,	n35             	)/	k2	;
v39	=	V(	n34             	,	n39             	)/	k2	;
v40	=	V(	n39             	,	n30             	)/	k2	;
v41	=	V(	n30             	,	n40             	)/	k2	;
v42	=	V(	n17             	,	n27             	)/	k2	;
v43	=	V(	n20             	,	n40             	)/	k2	;
v44	=	V(	n13             	,	n24             	)/	k2	;
v45	=	V(	n2              	,	n7              	)/	k2	;
v46	=	V(	n27             	,	n30             	)/	k2	;
v47	=	V(	n32             	,	n37             	)/	k2	;
v48	=	V(	n35             	,	n33             	)/	k2	;
v49	=	V(	n33             	,	n9              	)/	k2	;
v50	=	V(	n7              	,	n37             	)/	k2	;

v51 = V(n686,n33)/k1;
v52 = V(n722,n17)/k1;

`Qflow(	v1	,	i1	,	n)
`Qflow(	v2	,	i2	,	n)
`Qflow(	v3	,	i3	,	n)
`Qflow(	v4	,	i4	,	n)
`Qflow(	v5	,	i5	,	n)
`Qflow(	v6	,	i6	,	n)
`Qflow(	v7	,	i7	,	n)
`Qflow(	v8	,	i8	,	n)
`Qflow(	v9	,	i9	,	n)
`Qflow(	v10	,	i10	,	n)
`Qflow(	v11	,	i11	,	n)
`Qflow(	v12	,	i12	,	n)
`Qflow(	v13	,	i13	,	n)
`Qflow(	v14	,	i14	,	n)
`Qflow(	v15	,	i15	,	n)
`Qflow(	v16	,	i16	,	n)
`Qflow(	v17	,	i17	,	n)
`Qflow(	v18	,	i18	,	n)
`Qflow(	v19	,	i19	,	n)
`Qflow(	v20	,	i20	,	n)
`Qflow(	v21	,	i21	,	n)
`Qflow(	v22	,	i22	,	n)
`Qflow(	v23	,	i23	,	n)
`Qflow(	v24	,	i24	,	n)
`Qflow(	v25	,	i25	,	n)
`Qflow(	v26	,	i26	,	n)
`Qflow(	v27	,	i27	,	n)
`Qflow(	v28	,	i28	,	n)
`Qflow(	v29	,	i29	,	n)
`Qflow(	v30	,	i30	,	n)
`Qflow(	v31	,	i31	,	n)
`Qflow(	v32	,	i32	,	n)
`Qflow(	v33	,	i33	,	n)
`Qflow(	v34	,	i34	,	n)
`Qflow(	v35	,	i35	,	n)
`Qflow(	v36	,	i36	,	n)
`Qflow(	v37	,	i37	,	n)
`Qflow(	v38	,	i38	,	n)
`Qflow(	v39	,	i39	,	n)
`Qflow(	v40	,	i40	,	n)
`Qflow(	v41	,	i41	,	n)
`Qflow(	v42	,	i42	,	n)
`Qflow(	v43	,	i43	,	n)
`Qflow(	v44	,	i44	,	n)
`Qflow(	v45	,	i45	,	n)
`Qflow(	v46	,	i46	,	n)
`Qflow(	v47	,	i47	,	n)
`Qflow(	v48	,	i48	,	n)
`Qflow(	v49	,	i49	,	n)
`Qflow(	v50	,	i50	,	n)
`Qflow(	v51	,	i51	,	n)
`Qflow(	v52	,	i52	,	n)

I(n713,n1) <+i1		;
I(n1,n2) <+i2		;
I(	n2              	,	n3              	) <+ i3	;			
I(	n3              	,	n4              	) <+ i4	;			
I(	n4              	,	n5              	) <+ i5	;			
I(	n5              	,	n6              	) <+ i6	;			
I(	n6              	,	n7              	) <+ i7	;			
I(	n7              	,	n8              	) <+ i8	;			
I(	n8              	,	n9              	) <+ i9	;			
I(	n4              	,	n10             	) <+ i10	;			
I(	n10             	,	n11             	) <+ i11	;			
I(	n11             	,	n12             	) <+ i12	;			
I(	n12             	,	n13             	) <+ i13	;			
I(	n13             	,	n14             	) <+ i14	;			
I(	n14             	,	n15             	) <+ i15	;			
I(	n15             	,	n16             	) <+ i16	;			
I(	n16             	,	n17             	) <+ i17	;			
I(	n17             	,	n18             	) <+ i18	;			
I(	n18             	,	n19             	) <+ i19	;			
I(	n19             	,	n20             	) <+ i20	;			
I(	n5              	,	n21             	) <+ i21	;			
I(	n21             	,	n22             	) <+ i22	;			
I(	n22             	,	n23             	) <+ i23	;			
I(	n23             	,	n24             	) <+ i24	;			
I(	n24             	,	n25             	) <+ i25	;			
I(	n25             	,	n26             	) <+ i26	;			
I(	n26             	,	n27             	) <+ i27	;			
I(	n27             	,	n28             	) <+ i28	;			
I(	n28             	,	n29             	) <+ i29	;			
I(	n29             	,	n40             	) <+ i30	;			
I(	n21             	,	n36             	) <+ i31	;			
I(	n36             	,	n37             	) <+ i32	;			
I(	n37             	,	n38             	) <+ i33	;			
I(	n38             	,	n33             	) <+ i34	;			
I(	n23             	,	n31             	) <+ i35	;			
I(	n31             	,	n32             	) <+ i36	;			
I(	n24             	,	n34             	) <+ i37	;			
I(	n34             	,	n35             	) <+ i38	;			
I(	n34             	,	n39             	) <+ i39	;			
I(	n39             	,	n30             	) <+ i40	;			
I(	n30             	,	n40             	) <+ i41	;			
I(	n17             	,	n27             	) <+ i42	;			
I(	n20             	,	n40             	) <+ i43	;			
I(	n13             	,	n24             	) <+ i44	;			
I(	n2              	,	n7              	) <+ i45	;			
I(	n27             	,	n30             	) <+ i46	;			
I(	n32             	,	n37             	) <+ i47	;			
I(	n35             	,	n33             	) <+ i48	;			
I(	n33             	,	n9              	) <+ i49	;			
I(	n7              	,	n37             	) <+ i50	;			


I(n686,n33)<+ i51;
I(n722,n17) <+ i52;

V1      =  V( n1     ,  n0 )   ;
V2      =  V( n2     ,  n0 )   ;
V3      =  V( n3     ,  n0 )   ;
V4      =  V( n4     ,  n0 )   ;
V5      =  V( n5     ,  n0 )   ;
V6      =  V( n6     ,  n0 )   ;
V7      =  V( n7     ,  n0 )   ;
V8      =  V( n8     ,  n0 )   ;
V9      =  V( n9     ,  n0 )   ;
V10     =  V( n10    ,  n0 )   ;
V11     =  V( n11    ,  n0 )   ;
V12     =  V( n12    ,  n0 )   ;
V13     =  V( n13    ,  n0 )   ;
V14     =  V( n14    ,  n0 )   ;
V15     =  V( n15    ,  n0 )   ;
V16     =  V( n16    ,  n0 )   ;
V17     =  V( n17    ,  n0 )   ;
V18     =  V( n18    ,  n0 )   ;
V19     =  V( n19    ,  n0 )   ;
V20     =  V( n20    ,  n0 )   ;
V21     =  V( n21    ,  n0 )   ;
V22     =  V( n22    ,  n0 )   ;
V23     =  V( n23    ,  n0 )   ;
V24     =  V( n24    ,  n0 )   ;
V25     =  V( n25    ,  n0 )   ;
V26     =  V( n26    ,  n0 )   ;
V27     =  V( n27    ,  n0 )   ;
V28     =  V( n28    ,  n0 )   ;
V29     =  V( n29    ,  n0 )   ;
V30     =  V( n30    ,  n0 )   ;
V31     =  V( n31    ,  n0 )   ;
V32     =  V( n32    ,  n0 )   ;
V33     =  V( n33    ,  n0 )   ;
V34     =  V( n34    ,  n0 )   ;
V35     =  V( n35    ,  n0 )   ;
V36     =  V( n36    ,  n0 )   ;
V37     =  V( n37    ,  n0 )   ;
V38     =  V( n38    ,  n0 )   ;
V39     =  V( n39    ,  n0 )   ;
V40     =  V( n40    ,  n0 )   ;

 I( n1     ,  n0 ) <+   	0.0015      ;
 I( n2     ,  n0 ) <+   	0.0015      ;
 I( n3     ,  n0 ) <+   	0.0015          ;
 I( n4     ,  n0 ) <+   	0.0015          ;
 I( n5     ,  n0 ) <+   	0.0015          ;
 I( n6     ,  n0 ) <+   	0.0015          ;
 I( n7     ,  n0 ) <+   	0.0015          ;
 I( n8     ,  n0 ) <+   	0.0015          ;
 I( n9     ,  n0 ) <+   	0.0015      ;
 I( n10    ,  n0 ) <+   	0.0015          ;
 I( n11    ,  n0 ) <+   	0.0015          ;
 I( n12    ,  n0 ) <+   	0.0015          ;
 I( n13    ,  n0 ) <+   	0.0015          ;
 I( n14    ,  n0 ) <+   	0.0015          ;
 I( n15    ,  n0 ) <+   	0.0015      ;
 I( n16    ,  n0 ) <+   	0.0015          ;
 I( n17    ,  n0 ) <+   	0.0015          ;
 I( n18    ,  n0 ) <+   	0.0015          ;
 I( n19    ,  n0 ) <+   	0.0015          ;
 I( n20    ,  n0 ) <+   	0.0015      ;
 I( n21    ,  n0 ) <+   	0.0015       ;
 I( n22    ,  n0 ) <+   	0.0015       ;
 I( n23    ,  n0 ) <+   	0.0015      ;
 I( n24    ,  n0 ) <+   	0.0015      ;
 I( n25    ,  n0 ) <+   	0.0015      ;
 I( n26    ,  n0 ) <+   	0.0015      ;
 I( n27    ,  n0 ) <+   	0.0015      ;
 I( n28    ,  n0 ) <+   	0.0015      ;
 I( n29    ,  n0 ) <+   	0.0015      ;
 I( n30    ,  n0 ) <+   	0.0015      ;
 I( n31    ,  n0 ) <+   	0.0015      ;
 I( n32    ,  n0 ) <+   	0.0015      ;
 I( n33    ,  n0 ) <+   	0.0015      ;
 I( n34    ,  n0 ) <+   	0.0015      ;
 I( n35    ,  n0 ) <+   	0.0015       ;
 I( n36    ,  n0 ) <+   	0.0015       ;
 I( n37    ,  n0 ) <+   	0.0015       ;
 I( n38    ,  n0 ) <+   	0.0015          ;
 I( n39    ,  n0 ) <+   	0.0015       ;
 I( n40    ,  n0 ) <+   	0.0015       ;

$strobe ("V1 = %e" , V1  ) ;
$strobe ("V2 = %e" , V2  ) ;
$strobe ("V3 = %e" , V3  ) ;
$strobe ("V4 = %e" , V4  ) ;
$strobe ("V5 = %e" , V5  ) ;
$strobe ("V6 = %e" , V6  ) ;
$strobe ("V7 = %e" , V7  ) ;
$strobe ("V8 = %e" , V8  ) ;
$strobe ("V9 = %e" , V9  ) ;
$strobe ("V10 = %e" , V10 ) ;
$strobe ("V11 = %e" , V11 ) ;
$strobe ("V12 = %e" , V12 ) ;
$strobe ("V13 = %e" , V13 ) ;
$strobe ("V14 = %e" , V14 ) ;
$strobe ("V15 = %e" , V15 ) ;
$strobe ("V16 = %e" , V16 ) ;
$strobe ("V17 = %e" , V17 ) ;
$strobe ("V18 = %e" , V18 ) ;
$strobe ("V19 = %e" , V19 ) ;
$strobe ("V20 = %e" , V20 ) ;
$strobe ("V21 = %e" , V21 ) ;
$strobe ("V22 = %e" , V22 ) ;
$strobe ("V23 = %e" , V23 ) ;
$strobe ("V24 = %e" , V24 ) ;
$strobe ("V25 = %e" , V25 ) ;
$strobe ("V26 = %e" , V26 ) ;
$strobe ("V27 = %e" , V27 ) ;
$strobe ("V28 = %e" , V28 ) ;
$strobe ("V29 = %e" , V29 ) ;
$strobe ("V30 = %e" , V30 ) ;
$strobe ("V31 = %e" , V31 ) ;
$strobe ("V32 = %e" , V32 ) ;
$strobe ("V33 = %e" , V33 ) ;
$strobe ("V34 = %e" , V34 ) ;
$strobe ("V35 = %e" , V35 ) ;
$strobe ("V36 = %e" , V36 ) ;
$strobe ("V37 = %e" , V37 ) ;
$strobe ("V38 = %e" , V38 ) ;
$strobe ("V39 = %e" , V39 ) ;
$strobe ("V40 = %e" , V40 ) ;


		
	$strobe ("i1	= %e" , i1	 );
	$strobe ("i2	= %e" , i2	 );
	$strobe ("i3	= %e" ,	i3	 );
	$strobe ("i4	= %e" ,	i4	 );
	$strobe ("i5	= %e" ,	i5	 );
	$strobe ("i6	= %e" ,	i6	 );
	$strobe ("i7	= %e" ,	i7	 );
	$strobe ("i8	= %e" ,	i8	 );
	$strobe ("i9	= %e" ,	i9	 );
	$strobe ("i10	= %e" ,	i10	 );
	$strobe ("i11	= %e" ,	i11	 );
	$strobe ("i12	= %e" ,	i12	 );
	$strobe ("i13	= %e" ,	i13	 );
	$strobe ("i14	= %e" ,	i14	 );
	$strobe ("i15	= %e" ,	i15	 );
	$strobe ("i16	= %e" ,	i16	 );
	$strobe ("i17	= %e" ,	i17	 );
	$strobe ("i18	= %e" ,	i18	 );
	$strobe ("i19	= %e" ,	i19	 );
	$strobe ("i20	= %e" ,	i20	 );
	$strobe ("i21	= %e" ,	i21	 );
	$strobe ("i22	= %e" ,	i22	 );
	$strobe ("i23	= %e" ,	i23	 );
	$strobe ("i24	= %e" ,	i24	 );
	$strobe ("i25	= %e" ,	i25	 );
	$strobe ("i26	= %e" ,	i26	 );
	$strobe ("i27	= %e" ,	i27	 );
	$strobe ("i28	= %e" ,	i28	 );
	$strobe ("i29	= %e" ,	i29	 );
	$strobe ("i30	= %e" ,	i30	 );
	$strobe ("i31	= %e" ,	i31	 );
	$strobe ("i32	= %e" ,	i32	 );
	$strobe ("i33	= %e" ,	i33	 );
	$strobe ("i34	= %e" ,	i34	 );
	$strobe ("i35	= %e" ,	i35	 );
	$strobe ("i36	= %e" ,	i36	 );
	$strobe ("i37	= %e" ,	i37	 );
	$strobe ("i38	= %e" ,	i38	 );
	$strobe ("i39	= %e" ,	i39	 );
	$strobe ("i40	= %e" ,	i40	 );
	$strobe ("i41	= %e" ,	i41	 );
	$strobe ("i42	= %e" ,	i42	 );
	$strobe ("i43	= %e" ,	i43	 );
	$strobe ("i44	= %e" ,	i44	 );
	$strobe ("i45	= %e" ,	i45	 );
	$strobe ("i46	= %e" ,	i46	 );
	$strobe ("i47	= %e" ,	i47	 );
	$strobe ("i48	= %e" ,	i48	 );
	$strobe ("i49	= %e" ,	i49	 );
	$strobe ("i50	= %e" ,	i50	 );
	$strobe ("i51	= %e" ,	i51	 );
	$strobe ("i52	= %e" ,	i52	 );
	

end //analog
endmodule