@echo off

REM
REM qucsveri.bat - wrapper script for digital simulation
REM
REM Copyright (C) 2007 Stefan Jahn <stefan@lkcc.org>
REM Copyright (C) 2011 Michael Margraf <michael.margraf@alumni.tu-berlin.de>
REM
REM This is free software; you can redistribute it and/or modify
REM it under the terms of the GNU General Public License as published by
REM the Free Software Foundation; either version 2, or (at your option)
REM any later version.
REM 
REM This software is distributed in the hope that it will be useful,
REM but WITHOUT ANY WARRANTY; without even the implied warranty of
REM MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
REM GNU General Public License for more details.
REM 
REM You should have received a copy of the GNU General Public License
REM along with this package; see the file COPYING.  If not, write to
REM the Free Software Foundation, Inc., 51 Franklin Street - Fifth Floor,
REM Boston, MA 02110-1301, USA.  
REM

if not exist "%4" goto usage

set NAME=%1
set NAMEOUT=%2
set DIR=%3
set BINDIR=%4
set OPTION=%5

if not exist "%DIR%" goto nodir

cd /d "%DIR%"

if not exist %NAME% goto nofile
copy %NAME% digi.v > NUL
set NAME=digi

set PATH=%PATH%;%BINDIR%

echo analysing source code...
iverilog -o%NAME%.bin -sTestBench %NAME%.v
if not errorlevel 0 exit -1

echo simulating...
vvp %NAME%.bin -vcd
if not errorlevel 0 exit -1

echo saving result...
qucsconv -c -if vcd -of qucsdata -i %NAME%.vcd -o %NAMEOUT%
if not errorlevel 0 exit -1

exit 0

:usage
echo Usage: %0 "<netlist.txt> <output.dat> <directory> <bindirectory> [<convoption>]"
echo Directory has to contain the file 'netlist.txt'.
exit -1

:nodir
echo %DIR%: Not a directory
exit -1

:nofile
echo %NAME%: No such file
exit -1
