@echo off

REM qucsdigi.bat - start script for VHDL simulation
REM Copyright (C) 2011 Michael Margraf <michael.margraf@alumni.tu-berlin.de>

if not exist "%4" goto usage

set FILENAME=%1
set DATANAME=%2
set DIR=%3
set BINDIR=%4
set OPTION=%5

if not exist "%DIR%" goto usage
cd /d "%DIR%"

if not exist %FILENAME% goto usage
copy %FILENAME% digi.vhdl > NUL

echo analysing source code...
%BINDIR%\ghdl -c digi.vhdl
if errorlevel 1 exit -1

echo simulating...
%BINDIR%\ghdl -r testbench --vcd=digi.vcd
if errorlevel 1 exit -1

echo saving result...
%BINDIR%\qucsconv -c -if vcd -of qucsdata -i digi.vcd -o %DATANAME%
if not errorlevel 0 exit -1

exit 0

:usage
echo Usage: %0 "<vhdlfile.vhdl> <output.dat> <directory> <bindirectory> <convoption>"
echo Directory has to contain the file 'vhdlfile.vhdl'.
exit -1
